Metafunction
GetValue
Type for reading values.
GetValue<T>::Type
Include Headers
seqan/basic.h
Parameters

T | Spec.Journaled String Type of container that holds a value. Types: Align, Gaps, Iter, Proxy, Segment, std::basic_string, std::basic_string, std::list, std::vector, std::vector

Remarks
Depending on T, the GetValue-type can either be Value<T>::Type & or Value<T>::Type.
Return Values

Type | GetValue type of T.

Part of Concept
Container, Iterator
See Also
Reference, Value, getValue
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50